package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

/**
 * 通道列表
 */
@Data
@ApiModel(value = "通道列表", description = "通道列表信息")
public class TerminalAlarmListModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;
    @ApiModelProperty(value = "通道列表对象", example = "[]")
    private List<AlarmBean> list;

    @Data
    public static class AlarmBean {

        @ApiModelProperty(value = "告警编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "告警时间", example = "123456")
        private BigInteger alarmTime;

        @ApiModelProperty(value = "电压等级", example = "123456")
        private String dyLevel;

        @ApiModelProperty(value = "线路名称", example = "123456")
        private String lineName;

        @ApiModelProperty(value = "是否已读", example = "123456")
        private Short status;

        @ApiModelProperty(value = "杆塔名称", example = "123456")
        private String towerName;

    }
}
